package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class AsymVerifyP7Req {

    /**
     * 签名证书的主题
     */
//    @NotBlank(message = "签名证书不能为空")
//    private String subject;

    // 原文,使用Base64编码
    private String plainData;

    // 签名值, 使用Base64编码
    @NotBlank(message = "签名值不能为空")
    private String signData;

}
