package com.sunyard.chsm.param;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author liulu
 * @since 2024/12/25
 */
@Data
public class GenRandomReq {

    // 随机数长度, 最大10240
    @NotNull(message = "随机数长度不能为空")
    @Min(value = 1L, message = "随机数长度最小为1")
    @Max(value = 10240L, message = "随机数长度最大为10240")
    private Integer length;


}
