package com.sunyard.ssp.modules.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunyard.ssp.modules.user.entity.ScUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author tsz
 * @since 2020-03-11
 */
@Mapper
public interface ScUserMapper extends BaseMapper<ScUser> {

    List<ScUser> findByUsername(@Param("username") String username);

    List<ScUser> findall();

}
